Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCERSACipher

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.JCERSACipher

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  JCERSACipher.ISO9796d1Padding, JCERSACipher.MD5OAEPPadding, JCERSACipher.NoPadding, JCERSACipher.OAEPPadding, JCERSACipher.PKCS1v1_5Padding, JCERSACipher.PKCS1v1_5Padding_PrivateOnly, JCERSACipher.PKCS1v1_5Padding_PublicOnly, JCERSACipher.SHA224OAEPPadding, JCERSACipher.SHA256OAEPPadding, JCERSACipher.SHA384OAEPPadding, JCERSACipher.SHA512OAEPPadding

public class JCERSACipher
extends WrapCipherSpi

Nested Class Summary
`static class` | `JCERSACipher.ISO9796d1Padding`
`static class` | `JCERSACipher.MD5OAEPPadding`
`static class` | `JCERSACipher.NoPadding` classes that inherit from us.
`static class` | `JCERSACipher.OAEPPadding`
`static class` | `JCERSACipher.PKCS1v1_5Padding`
`static class` | `JCERSACipher.PKCS1v1_5Padding_PrivateOnly`
`static class` | `JCERSACipher.PKCS1v1_5Padding_PublicOnly`
`static class` | `JCERSACipher.SHA224OAEPPadding`
`static class` | `JCERSACipher.SHA256OAEPPadding`
`static class` | `JCERSACipher.SHA384OAEPPadding`
`static class` | `JCERSACipher.SHA512OAEPPadding`

Nested classes inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.AESWrap, WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap`

Nested classes inherited from class org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`JCERSACipher(AsymmetricBlockCipher engine)`
`JCERSACipher(boolean publicKeyOnly, boolean privateKeyOnly, AsymmetricBlockCipher engine)`

Method Summary
`protected byte[]` | `engineDoFinal(byte[] input, int inputOffset, int inputLen)`
`protected int` | `engineDoFinal(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`
`protected int` | `engineGetBlockSize()`
`protected byte[]` | `engineGetIV()`
`protected int` | `engineGetKeySize(java.security.Key key)`
`protected int` | `engineGetOutputSize(int inputLen)`
`protected java.security.AlgorithmParameters` | `engineGetParameters()`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.AlgorithmParameters params, java.security.SecureRandom random)`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.SecureRandom random)`
`protected void` | `engineSetMode(java.lang.String mode)`
`protected void` | `engineSetPadding(java.lang.String padding)`
`protected byte[]` | `engineUpdate(byte[] input, int inputOffset, int inputLen)`
`protected int` | `engineUpdate(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCERSACipher

    public JCERSACipher(AsymmetricBlockCipher engine)

### JCERSACipher

    public JCERSACipher(boolean publicKeyOnly,
                        boolean privateKeyOnly,
                        AsymmetricBlockCipher engine)

Method Detail

### engineGetBlockSize

    protected int engineGetBlockSize()

  Overrides:
    `engineGetBlockSize` in class `WrapCipherSpi`

### engineGetIV

    protected byte[] engineGetIV()

  Overrides:
    `engineGetIV` in class `WrapCipherSpi`

### engineGetKeySize

    protected int engineGetKeySize(java.security.Key key)

  Overrides:
    `engineGetKeySize` in class `WrapCipherSpi`

### engineGetOutputSize

    protected int engineGetOutputSize(int inputLen)

  Overrides:
    `engineGetOutputSize` in class `WrapCipherSpi`

### engineGetParameters

    protected java.security.AlgorithmParameters engineGetParameters()

  Overrides:
    `engineGetParameters` in class `WrapCipherSpi`

### engineSetMode

    protected void engineSetMode(java.lang.String mode)

  Overrides:
    `engineSetMode` in class `WrapCipherSpi`

### engineSetPadding

    protected void engineSetPadding(java.lang.String padding)
                             throws javax.crypto.NoSuchPaddingException

  Overrides:
    `engineSetPadding` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.NoSuchPaddingException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.spec.AlgorithmParameterSpec params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.AlgorithmParameters params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected byte[] engineUpdate(byte[] input,
                                  int inputOffset,
                                  int inputLen)

  Overrides:
    `engineUpdate` in class `WrapCipherSpi`

### engineUpdate

    protected int engineUpdate(byte[] input,
                               int inputOffset,
                               int inputLen,
                               byte[] output,
                               int outputOffset)

  Overrides:
    `engineUpdate` in class `WrapCipherSpi`

### engineDoFinal

    protected byte[] engineDoFinal(byte[] input,
                                   int inputOffset,
                                   int inputLen)
                            throws javax.crypto.IllegalBlockSizeException,
                                   javax.crypto.BadPaddingException

  Overrides:
    `engineDoFinal` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`

### engineDoFinal

    protected int engineDoFinal(byte[] input,
                                int inputOffset,
                                int inputLen,
                                byte[] output,
                                int outputOffset)
                         throws javax.crypto.IllegalBlockSizeException,
                                javax.crypto.BadPaddingException

  Overrides:
    `engineDoFinal` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD